Bug 170279 - CVE-2005-3180 orinoco driver information leakage (ipf)
CVE-2005-3180 orinoco driver information leakage (ipf)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
public=20051004,impact=important,sour...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-10-10 10:46 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 10:46:37 EDT
+++ This bug was initially created as a clone of Bug #170277 +++

The orinoco driver can send uninitialized data exposing random pieces of the
system memory.  This happens because data is not padded with zeroes when its
length needs to be increased.

For the 2.6 upstream fix see
http://linux.bkbits.net:8080/linux-2.6/cset@43434a71q9eUGtXKCTmWyYIPqFjEUQ

However Alan Cox said "skb_padto already does the if() so the extra if
(skb->len < len) just wastes resources"
Comment 4 Red Hat Bugzilla 2006-02-01 12:46:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html
Comment 5 Red Hat Bugzilla 2006-02-01 12:46:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html

Note You need to log in before you can comment on or make changes to this bug.